# Asterisk Project : Asterisk 13 Application_ReceiveFAX_res_fax

Created by wikibot on Aug 08, 2014

# ReceiveFAX() - [res_fax]

### Synopsis

Receive a FAX and save as a TIFF/F file.

### Description

This application is provided by res_fax, which is a FAX technology agnostic module that utilizes FAX technology resource modules to complete a FAX transmission.

Session arguments can be set by the FAXOPT function and to check results of the ReceiveFax() application.

### Syntax

    ReceiveFAX(filename,[options])

##### Arguments

- `filename`
- `options`
  - `d` - Enable FAX debugging.
  - `f` - Allow audio fallback FAX transfer on T.38 capable channels.
  - `F` - Force usage of audio mode on T.38 capable channels.
  - `s` - Send progress Manager events (overrides statusevents setting in res_fax.conf).

### See Also

- Asterisk 13 Function_FAXOPT

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538